wxWidgets: wxAuiTabContainer Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
wxAuiTabContainer Class Reference
Window Docking (wxAUI)

`#include <wx/aui/auibook.h>`

## Detailed Description

wxAuiTabContainer is a class which contains information about each tab.

It also can render an entire tab control to a specified DC. It's not a window class itself, because this code will be used by the wxAuiNotebook, where it is disadvantageous to have separate windows for each tab control in the case of "docked tabs".

A derived class, wxAuiTabCtrl, is an actual wxWindow - derived window which can be used as a tab control in the normal sense.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiTabContainer ()
| Default ctor.
virtual | ~wxAuiTabContainer ()
| Default dtor.
void | SetArtProvider (wxAuiTabArt *art)
wxAuiTabArt * | GetArtProvider () const
void | SetFlags (unsigned int flags)
unsigned int | GetFlags () const
bool | AddPage (wxWindow *page, const wxAuiNotebookPage &info)
bool | InsertPage (wxWindow *page, const wxAuiNotebookPage &info, size_t idx)
bool | MovePage (wxWindow *page, size_t newIdx)
bool | RemovePage (wxWindow *page)
bool | SetActivePage (wxWindow *page)
bool | SetActivePage (size_t page)
void | SetNoneActive ()
int | GetActivePage () const
bool | TabHitTest (int x, int y, wxWindow **hit) const
bool | ButtonHitTest (int x, int y, wxAuiTabContainerButton **hit) const
wxWindow * | GetWindowFromIdx (size_t idx) const
int | GetIdxFromWindow (wxWindow *page) const
size_t | GetPageCount () const
wxAuiNotebookPage & | GetPage (size_t idx)
const wxAuiNotebookPage & | GetPage (size_t idx) const
wxAuiNotebookPageArray & | GetPages ()
void | SetNormalFont (const wxFont &normalFont)
void | SetSelectedFont (const wxFont &selectedFont)
void | SetMeasuringFont (const wxFont &measuringFont)
void | SetColour (const wxColour &colour)
void | SetActiveColour (const wxColour &colour)
void | DoShowHide ()
void | SetRect (const wxRect &rect)
void | RemoveButton (int id)
void | AddButton (int id, int location, const wxBitmap &normalBitmap=wxNullBitmap, const wxBitmap &disabledBitmap=wxNullBitmap)
size_t | GetTabOffset () const
void | SetTabOffset (size_t offset)
bool | IsTabVisible (int tabPage, int tabOffset, wxDC *dc, wxWindow *wnd)
void | MakeTabVisible (int tabPage, wxWindow *win)

## Protected Member Functions
virtual void | Render (wxDC *dc, wxWindow *wnd)

## Protected Attributes
wxAuiTabArt * | m_art
wxAuiNotebookPageArray | m_pages
wxAuiTabContainerButtonArray | m_buttons
wxAuiTabContainerButtonArray | m_tabCloseButtons
wxRect | m_rect
size_t | m_tabOffset
unsigned int | m_flags

## Constructor & Destructor Documentation

wxAuiTabContainer::wxAuiTabContainer | ( |  | ) |

Default ctor.

virtual wxAuiTabContainer::~wxAuiTabContainer | ( |  | ) |
| virtual

Default dtor.

## Member Function Documentation

void wxAuiTabContainer::AddButton | ( | int | id,
|  | int | location,
|  | const wxBitmap & | normalBitmap = `wxNullBitmap`,
|  | const wxBitmap & | disabledBitmap = `wxNullBitmap`
| ) |  |

bool wxAuiTabContainer::AddPage | ( | wxWindow * | page,
|  | const wxAuiNotebookPage & | info
| ) |  |

bool wxAuiTabContainer::ButtonHitTest | ( | int | x,
|  | int | y,
|  | wxAuiTabContainerButton ** | hit
| ) |  | const

void wxAuiTabContainer::DoShowHide | ( |  | ) |

int wxAuiTabContainer::GetActivePage | ( |  | ) | const

wxAuiTabArt* wxAuiTabContainer::GetArtProvider | ( |  | ) | const

unsigned int wxAuiTabContainer::GetFlags | ( |  | ) | const

int wxAuiTabContainer::GetIdxFromWindow | ( | wxWindow * | page | ) | const

wxAuiNotebookPage& wxAuiTabContainer::GetPage | ( | size_t | idx | ) |

const wxAuiNotebookPage& wxAuiTabContainer::GetPage | ( | size_t | idx | ) | const

size_t wxAuiTabContainer::GetPageCount | ( |  | ) | const

wxAuiNotebookPageArray& wxAuiTabContainer::GetPages | ( |  | ) |

size_t wxAuiTabContainer::GetTabOffset | ( |  | ) | const

wxWindow* wxAuiTabContainer::GetWindowFromIdx | ( | size_t | idx | ) | const

bool wxAuiTabContainer::InsertPage | ( | wxWindow * | page,
|  | const wxAuiNotebookPage & | info,
|  | size_t | idx
| ) |  |

bool wxAuiTabContainer::IsTabVisible | ( | int | tabPage,
|  | int | tabOffset,
|  | wxDC * | dc,
|  | wxWindow * | wnd
| ) |  |

void wxAuiTabContainer::MakeTabVisible | ( | int | tabPage,
|  | wxWindow * | win
| ) |  |

bool wxAuiTabContainer::MovePage | ( | wxWindow * | page,
|  | size_t | newIdx
| ) |  |

void wxAuiTabContainer::RemoveButton | ( | int | id | ) |

bool wxAuiTabContainer::RemovePage | ( | wxWindow * | page | ) |

virtual void wxAuiTabContainer::Render | ( | wxDC * | dc,
|  | wxWindow * | wnd
| ) |  |
| protectedvirtual

void wxAuiTabContainer::SetActiveColour | ( | const wxColour & | colour | ) |

bool wxAuiTabContainer::SetActivePage | ( | wxWindow * | page | ) |

bool wxAuiTabContainer::SetActivePage | ( | size_t | page | ) |

void wxAuiTabContainer::SetArtProvider | ( | wxAuiTabArt * | art | ) |

void wxAuiTabContainer::SetColour | ( | const wxColour & | colour | ) |

void wxAuiTabContainer::SetFlags | ( | unsigned int | flags | ) |

void wxAuiTabContainer::SetMeasuringFont | ( | const wxFont & | measuringFont | ) |

void wxAuiTabContainer::SetNoneActive | ( |  | ) |

void wxAuiTabContainer::SetNormalFont | ( | const wxFont & | normalFont | ) |

void wxAuiTabContainer::SetRect | ( | const wxRect & | rect | ) |

void wxAuiTabContainer::SetSelectedFont | ( | const wxFont & | selectedFont | ) |

void wxAuiTabContainer::SetTabOffset | ( | size_t | offset | ) |

bool wxAuiTabContainer::TabHitTest | ( | int | x,
|  | int | y,
|  | wxWindow ** | hit
| ) |  | const

## Member Data Documentation

wxAuiTabArt* wxAuiTabContainer::m_art
| protected

wxAuiTabContainerButtonArray wxAuiTabContainer::m_buttons
| protected

unsigned int wxAuiTabContainer::m_flags
| protected

wxAuiNotebookPageArray wxAuiTabContainer::m_pages
| protected

wxRect wxAuiTabContainer::m_rect
| protected

wxAuiTabContainerButtonArray wxAuiTabContainer::m_tabCloseButtons
| protected

size_t wxAuiTabContainer::m_tabOffset
| protected